import crafttweaker.api.recipe.SmithingRecipeManager;
import mods.create.PressingManager;
import mods.create.DeployerApplicationManager;
import mods.create.FillingManager;
import mods.createtweaker.FluidIngredient;
import mods.create.SequencedAssemblyManager;



<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("high_fail_blaze_rod")
     .transitionTo(<item:minecraft:blaze_rod>)
     .require(<item:minecraft:bone>)
     .loops(4)
     .addOutput(<item:minecraft:blaze_rod>* 1, 4)
     .addOutput(<item:minecraft:bone>* 1, 2)
     .addOutput(<item:minecraft:magma_cream>* 2, 8)
     .addOutput(<item:minecraft:blaze_powder>* 3, 6)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:magma_cream>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:blaze_powder>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:blaze_powder>)));

//Netherite Sheet
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("netherite_sheet_flatten")
     .transitionTo(<item:kubejs:unprocessed_flattened_netherite_sheet>)
     .require(<item:minecraft:netherite_ingot>)
     .addOutput(<item:kubejs:netherite_sheet>, 1)
     .loops(5)
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(220)));

<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("netherite_sheet")
     .transitionTo(<item:kubejs:unprocessed_netherite_sheet>)
     .require(<item:create:golden_sheet>)
     .loops(3)
     .addOutput(<item:kubejs:netherite_sheet>, 65)
     .addOutput(<item:minecraft:netherite_scrap>*3, 25)
     .addOutput(<item:minecraft:netherite_scrap>*2, 8)
     .addOutput(<item:minecraft:netherite_scrap>*1, 2)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:netherite_scrap>))
     .addStep<mods.createtweaker.FillingRecipe>((rb) => rb.require(<fluid:minecraft:lava> * 250))
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(500))
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(500)));

craftingTable.remove(<item:create:steam_engine>);
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("steam_engine")
     .transitionTo(<item:create:steam_engine>)
     .require(<item:alloyed:steel_block>)
     .loops(1)
     .addOutput(<item:create:steam_engine>* 1, 95)
     .addOutput(<item:alloyed:steel_ingot>* 5, 1)
     .addOutput(<item:create:copper_sheet>* 1, 1)
     .addOutput(<item:create:fluid_pipe>* 1, 1)
     .addOutput(<item:create:shaft>* 1, 1)
     .addOutput(<item:create:brass_sheet>* 1, 1)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:copper_sheet>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:fluid_pipe>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:shaft>))
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(150))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:brass_sheet>)));

